/* dark mode style sheet for lexmaweather.info */
/* css/mainDark.css 20260824
 */


@media (prefers-color-scheme: dark)
{

  /* main.css */
  body
  {
    color: #d0d0d0;
    background-color: #0C0D15;
  }

  a
  {
    color: #5aaaaa;
  }

  #bannerTickerWrapper,
  #bannerTicker
  {
    background-color: #6e6e6e;
    background-color: #888888;
  }

  .bannerTickerLabel
  {
    color: #00f0f0;
  }

  #bannerTicker li
  {
    color: #ffffff;
  }

  /* common content styling defaults for pages */
  #topAlerts,
  #homeContent,
  #forecastContent,
  #advisoryContent,
  #aboutContent,
  #statusContent,
  #contactContent,
  #pwsContent,
  #regionalContent,
  #trendsContent,
  #cocorahsContent,
  #nwsContent,
  #conditionsContent,
  #indoorContent,
  #imageContent,
  #alertArchiveContent,
  #mapContent,
  #indoorContent
  {
    background-color: #060606; /* #f9f9f9; */
  }

  .homeBlock
  {
    background-color: #060606; /* #f9f9f9; */
  }

  #conditions .conditionsIcon,
  #regionalContent .condIcon img
  {
    border: .1px solid #d0d0d0;
  }

  .homeBlock .ui-widget-content a,
  #forecastContent .ui-widget-content h2 a,
  .nwsAlertsText #alertTabs .ui-widget-content a
  {
    color: #5aaaaa;
  }

  .hourlyForecastPeriod
  {
    background-color: #060606;
  }

  .forecastHigh,
  .homeExtremeHigh
  {
    color: #e00000;
  }

  .forecastLow,
  .homeExtremeLow
  {
    color: #8080ff;
  }

  .homeTab .ui-widget-header,
  .nwsAlertsText #alertTabs .ui-widget-header
  {
    color: #d0d0d0; /* black; */
    background-color: #060606;
  }

  .homeTab .ui-widget-content,
  .homeBlock .ui-widget-content,
  #forecastContent .ui-widget-content,
  .nwsAlertsText #alertTabs .ui-widget-content
  {
    color: #d0d0d0;
    background-color: #060606 !important;
  }

  .forecastGraphic img,
  .hourlyForecastPeriod img:first-of-type    /* border for just the hourly forecast image */
  {
    border: .1px solid #d0d0d0;
  }

  #zipDialog,
  #homePage .ui-dialog,
  #homePage .ui-dialog-buttonpane,
  #forecastPage .ui-dialog,
  #forecastPage .ui-dialog-buttonpane
  {
    color: #d0d0d0; /* black; */
    background-color: #060606 !important;
  }

  #zipRequested
  {
    color: #d0d0d0;
    background-color: #0C0D15;
  }

  .homeTab .homeTabUl .ui-state-default,
  .nwsAlertsText #alertTabs ul .ui-state-default
  {
    background: #888888 !important;
  }

  .homeTab .homeTabUl .ui-state-active,
  .nwsAlertsText #alertTabs ul .ui-state-active
  {
    background: linear-gradient(rgba(63,108,189,1), rgba(85,119,203,1)) !important;
  }

  .homeTab .homeTabUl .ui-state-default a,
  .nwsAlertsText #alertTabs ul .ui-state-default a
  {
    color: #ffffff;
  }

  .oddRow,
  .columnLight
  {
    background-color: #2a2a2a;
  }

  .evenRow,
  .columnDark,
  .column-dark
  {
    background-color: #0e0e0e;
  }

  #footer
  {
    color: #d0d0d0;
    background-color: #303030;
  }

  .trendBlock table td.trendLabel,
  .extremeBlock table td.trendLabel,
  .rainWindBlock table td.trendLabel,
  .conditionLabel,
  .homePrecipLabel,
  .homeExtremeLabel,
  #pwsContent h3,
  #regionalContent h3
  {
    color: #5aaaaa;
  }

  .trendBlock h3,
  .extremeBlock h3,
  .rainWindBlock h3,
  .cocorahsDisplay .headerRow
  {
    background: linear-gradient(rgba(63,108,189,1), rgba(85,119,203,1));
  }

  .nwsAlertsInfo
  {
    background-color: #606060;
  }

  .nwsAlertsText #alertTabs
  {
    background-color: #0C0D15;
  }

  .nwsAlertsText .alertIcon
  {
    border-color: #d0d0d0;
  }

  #regionalContent img.imageLight
  {
    display: none;
  }

  #regionalContent img.imageDark
  {
    display: block;
  }

  #astronomyContent
  {
    color: #d0d0d0;
    background-color: black;
  }


  /* mastodon-timeline.css */

  .mt-timeline a:link,
  .mt-timeline a:active,
  .mt-timeline a:visited,
  .mt-timeline a
  {
    color: #a0d0ff !important;
  }

  .mt-timeline .description a:link,
  .mt-timeline .description a:active,
  .mt-timeline .description a:visited,
  .mt-timeline .description a
  {
    color: #5588bb !important;
  }

} /* end dark mode */
